Get a config change request's plan
curl --request GET \
--url https://api.openworklabs.com/v1/config-blobs/change-requests/{changeRequestId}/plan \
--header 'x-api-key: <api-key>'import requests
url = "https://api.openworklabs.com/v1/config-blobs/change-requests/{changeRequestId}/plan"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://api.openworklabs.com/v1/config-blobs/change-requests/{changeRequestId}/plan', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.openworklabs.com/v1/config-blobs/change-requests/{changeRequestId}/plan",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"x-api-key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.openworklabs.com/v1/config-blobs/change-requests/{changeRequestId}/plan"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("x-api-key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.openworklabs.com/v1/config-blobs/change-requests/{changeRequestId}/plan")
.header("x-api-key", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.openworklabs.com/v1/config-blobs/change-requests/{changeRequestId}/plan")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["x-api-key"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"plan": {
"planHash": "<string>",
"mode": "merge",
"summary": {
"create": 0,
"update": 0,
"rename": 0,
"unchanged": 0,
"delete": 0,
"untouched": 0,
"skip": 0,
"blocking": 0
},
"areas": [
{
"area": "members.teams",
"label": "<string>",
"items": [
{}
]
}
],
"issues": [
{
"level": "error",
"message": "<string>",
"area": "members.teams"
}
]
},
"decisions": {
"matches": [],
"refs": [],
"deletes": [],
"overrides": [],
"skips": [],
"renames": [],
"people": {
"sendInviteEmails": false
}
}
}{
"error": "unauthorized"
}{
"error": "forbidden",
"reason": "<string>",
"message": "<string>"
}{
"error": "<string>",
"feature": "<string>"
}Config blobs
Get a config change request's plan
The full plan (matches, field diffs, references, secret decisions, blocking flags) and the saved decisions. Never secret values.
GET
/
v1
/
config-blobs
/
change-requests
/
{changeRequestId}
/
plan
Get a config change request's plan
curl --request GET \
--url https://api.openworklabs.com/v1/config-blobs/change-requests/{changeRequestId}/plan \
--header 'x-api-key: <api-key>'import requests
url = "https://api.openworklabs.com/v1/config-blobs/change-requests/{changeRequestId}/plan"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://api.openworklabs.com/v1/config-blobs/change-requests/{changeRequestId}/plan', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.openworklabs.com/v1/config-blobs/change-requests/{changeRequestId}/plan",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"x-api-key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.openworklabs.com/v1/config-blobs/change-requests/{changeRequestId}/plan"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("x-api-key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.openworklabs.com/v1/config-blobs/change-requests/{changeRequestId}/plan")
.header("x-api-key", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.openworklabs.com/v1/config-blobs/change-requests/{changeRequestId}/plan")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["x-api-key"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"plan": {
"planHash": "<string>",
"mode": "merge",
"summary": {
"create": 0,
"update": 0,
"rename": 0,
"unchanged": 0,
"delete": 0,
"untouched": 0,
"skip": 0,
"blocking": 0
},
"areas": [
{
"area": "members.teams",
"label": "<string>",
"items": [
{}
]
}
],
"issues": [
{
"level": "error",
"message": "<string>",
"area": "members.teams"
}
]
},
"decisions": {
"matches": [],
"refs": [],
"deletes": [],
"overrides": [],
"skips": [],
"renames": [],
"people": {
"sendInviteEmails": false
}
}
}{
"error": "unauthorized"
}{
"error": "forbidden",
"reason": "<string>",
"message": "<string>"
}{
"error": "<string>",
"feature": "<string>"
}Authorizations
denApiKeybearerAuth
Organization API key passed as the x-api-key header. The raw key is the header value; do not prefix it with Bearer.
Path Parameters
Den TypeID with 'ccr_' prefix and a 26-character base32 suffix.
Required string length:
30Was this page helpful?